Bug 1875758 - Console Storage Plugin is Injecting Volume Snapshot
Summary: Console Storage Plugin is Injecting Volume Snapshot
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Bipul Adhikari
QA Contact: Jilju Joy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-04 09:37 UTC by Bipul Adhikari
Modified: 2020-09-23 07:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Screenshots of Volume snapshot, Volume snapshot classes and volume snapshot contents pages before installing OCS (557.15 KB, application/gzip)
2020-09-23 07:30 UTC, Jilju Joy
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6526 None closed Bug 1875758: Remove extensions for Volume Snapshot from Ceph Plugin 2020-09-21 09:12:04 UTC

Description Bipul Adhikari 2020-09-04 09:37:35 UTC
Description of problem:
OCS plugin should not inject volume snapshot page from OCS as this is an generic OCP feaure.


Version-Release number of selected component (if applicable): 4.6 OCP


How reproducible: 1/1

Steps to Reproduce:
1. 
2.
3.

Actual results:

Expected results: Volume snapshot should be visible without OCS being installed.

Additional info:

Comment 4 Jilju Joy 2020-09-23 07:30:30 UTC
Created attachment 1715930 [details]
Screenshots of Volume snapshot, Volume snapshot classes and volume snapshot contents pages before installing OCS

Comment 5 Jilju Joy 2020-09-23 07:34:19 UTC
Volume Snapshots, Volume Snapshot Classes and Volume Snapshot Contents pages are available without OCS being installed. Screenshots attached.

Verified in version:
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2020-09-22-213802   True        False         142m    Cluster version is 4.6.0-0.nightly-2020-09-22-213802


Note You need to log in before you can comment on or make changes to this bug.